# Get well lists by well guids

Endpoint: POST /v1/well-lists/get-by-well-guids
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Query parameters:

  - `page_size` (integer)
    Max number of entities to include in current search (max 9999)

## Header parameters:

  - `slb-partition-id` (string, required)
    Slb partition id

## Request body:

  - `application/json-patch+json, application/json, text/json, application/*+json` (unknown)
    Well guids to get by

## Response 200:

  - `200` (unknown)
    OK

## Response 200 fields (text/plain):

  - `current_matches` (array)

  - `current_matches.physical_container_name` (string)

  - `current_matches.creation_utc_timestamp` (string)

  - `current_matches.last_modification_utc_timestamp` (string)

  - `current_matches.version` (integer)

  - `current_matches.id` (string)

  - `current_matches.anchor_well_guid` (string)

  - `current_matches.data_source` (string)

  - `current_matches.guid` (string)

  - `current_matches.name` (string)

  - `current_matches.wells` (array)

  - `current_matches.wells.guid` (string)

  - `current_matches.wells.name` (string)

  - `current_match_count` (integer)

  - `excluded_matches` (array)

  - `excluded_matches.violations` (array)

  - `excluded_matches.violations.fatal_violation` (boolean)

  - `excluded_matches.violations.details` (string)

  - `total_match_count` (integer)

  - `next_page_id` (string)

  - `action_succeeded` (boolean)

  - `master_error` (string)

  - `dependent_action_errors` (array)

  - `action_key` (string)

## Response 401:

  - `401` (unknown)
    Unauthorized

## Response 401 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

